%define name	qjackctl
%define version 0.2.21
%define release %mkrel 3

Name: 	 	%{name}
Summary: 	A QT gui for the jack audio daemon
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.bz2
Source1:	jackwrapper.sh
URL:		http://sourceforge.net/projects/qjackctl/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel jackit-devel ImageMagick alsa-lib-devel
Requires:	jackit >= 0.90.0
Provides:	jackwrapper

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
perl -pi -e 's/\$QTDIR\/lib/\$QTDIR\/%{_lib}/' configure
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cat %SOURCE1 > $RPM_BUILD_ROOT/%_bindir/jackwrapper
chmod 755 $RPM_BUILD_ROOT/%_bindir/jackwrapper

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QJackCTL" longtitle="Controls the JACK Audio daemon" section="Multimedia/Sound"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QJackCTL
Comment=Controls the JACK Audio daemon
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%name
%{_bindir}/jackwrapper
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Fri May 25 2007 Austin Acton <austin@mandriva.org> 0.2.21-3mdv2007.0
+ Revision: 31109
- oops, fix buildrequires for x86_64

* Wed May 23 2007 Austin Acton <austin@mandriva.org> 0.2.21-2mdv2008.0
+ Revision: 30372
- buildrequires alsa to force linking (closes #30881)


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.2.21-1mdv2007.1
+ Revision: 144158
- new release
- Import qjackctl

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.20.10-0.20060518.2mdv2007.0
- xdg menu

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.2.20.10-0.20060518.1mdk
- go cvs for freebob support
- mkrel

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.20-1mdk
- 0.2.20

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.2.19a-1mdk
- New release 0.2.19a

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.2.19-1mdk
- 0.2.19

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.2.18-2mdk
- Fix x86_64 build

* Wed Jul 20 2005 Austin Acton <austin@mandriva.org> 0.2.18-1mdk
- New release 0.2.18

* Sat Jun 18 2005 Lenny Cartier <lenny@mandriva.com> 0.2.17-1mdk
- 0.2.17

* Wed Jun 15 2005 Austin Acton <austin@mandriva.org> 0.2.16-1mdk
- New release 0.2.16

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15a-1mdk
- 0.2.15a

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.2.15-1mdk
- 0.2.15

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.14-1mdk
- 0.2.14

* Sun Nov 21 2004 Austin Acton <austin@mandrake.org> 0.2.13-1mdk
- 0.2.13

* Wed Oct 13 2004 Austin Acton <austin@mandrake.org> 0.2.12a-1mdk
- 0.2.12a

* Sat Oct 09 2004 Austin Acton <austin@mandrake.org> 0.2.12-1mdk
- 0.2.12

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.2.11-1mdk
- 0.2.11

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.2.9-2mdk
- add jackwrapper

* Mon Jul 05 2004 Austin Acton <austin@mandrakesoft.com> 0.2.9-1mdk
- 0.2.9

* Mon Apr 05 2004 Austin Acton <austin@mandrake.org> 0.2.7-1mdk
- 0.2.7

